Crashpad

Public Member Functions | List of all members
crashpad::ExceptionHandlerServer::Delegate Class Referenceabstract
Inheritance diagram for crashpad::ExceptionHandlerServer::Delegate:

## Public Member Functions
virtual void | ExceptionHandlerServerStarted ()=0
| Called when the server has created the named pipe connection points and is ready to service requests.
virtual unsigned int | ExceptionHandlerServerException (HANDLE process, WinVMAddress exception_information_address, WinVMAddress debug_critical_section_address)=0
| Called when the client has signalled that it has encountered an exception and so wants a crash dump to be taken. More...

## Member Function Documentation

## ◆ ExceptionHandlerServerException()

virtual unsigned int crashpad::ExceptionHandlerServer::Delegate::ExceptionHandlerServerException | ( | HANDLE | process,
|  | WinVMAddress | exception_information_address,
|  | WinVMAddress | debug_critical_section_address
| ) |  |
| pure virtual

Called when the client has signalled that it has encountered an exception and so wants a crash dump to be taken.

Parameters

  [in] | process | A handle to the client process. Ownership of the lifetime of this handle is not passed to the delegate.
  [in] | exception_information_address | The address in the client's address space of an ExceptionInformation structure.
  [in] | debug_critical_section_address | The address in the client's address space of a `CRITICAL_SECTION` allocated with a valid `.DebugInfo` field, or `0` if unavailable.

Returns
  The exit code that should be used when terminating the client process.

Implemented in crashpad::CrashReportExceptionHandler.

The documentation for this class was generated from the following files:

- util/win/exception_handler_server.h
- util/win/exception_handler_server.cc